#! /usr/bin/env python
#

import sys, time

#  Add the Mp modules directory to the Python module load path.

sys.path[:0] = [ "/opt/mx/lib/mp" ]

import Mp

record_list = Mp.setup_database( "/opt/mx/etc/motor.dat" )

if ( len(sys.argv) != 3 ):
	print ""
	print "Usage:  move motor_name destination"
	print ""
	sys.exit(0);

motor_name = sys.argv[1]

motor = record_list.get_record( motor_name )

new_position = float( sys.argv[2] )

units = motor.get_field("units")

print "Moving motor '%s' to %f %s" % ( motor_name, new_position, units )

motor.move_absolute( new_position )

# Wait for the move to complete.

while (1):
	position, status = motor.get_extended_status()

	print "  %f  %d" % ( position, status )

	if ( (status & 0x1) == 0 ):
		break

	time.sleep( 1.0 )

print "Motor move complete."

